- name: include distro specific variables
  include_vars: "{{ (override_os_family is defined) | ternary(override_os_family,ansible_os_family) }}_{{ ansible_distribution_major_version }}.yml"

- name: install dependencies
  package:
    name: "{{ virtualenv2_dependencies }}"
    state: present
  when: python_version|int == 2

- name: install dependencies
  package:
    name: "{{ virtualenv3_dependencies }}"
    state: present
  when: python_version|int == 3

- name: setup virtualenv and install pip dependencies
  pip:
    name: "{{ pip_dependencies }}"
    state: present
    virtualenv: "{{ virtualenv_path }}"
  when: python_version|int == 2

- name: setup virtualenv and install pip dependencies
  pip:
    name: "{{ pip_dependencies }}"
    state: present
    virtualenv: "{{ virtualenv_path }}"
    virtualenv_command: /usr/bin/python3 -m venv
  when: python_version|int == 3

- name: reset owner of virtualenv
  file:
    path: "{{ virtualenv_path }}"
    state: directory
    owner: "{{ virtualenv_owner }}"
    group: "{{ virtualenv_group | default(virtualenv_owner) }}"
    recurse: yes
  when: virtualenv_owner|bool
